6.0.0-git
2019-04-25

[#11900] Apache2 - high CPU load post AS Search
Summary Apache2 - high CPU load post AS Search
Queue Synchronization
Queue Version Git master
Type Bug
State Resolved
Priority 2. Medium
Owners mrubinsk (at) horde (dot) org
Requester horde (at) agotnes (dot) com
Created 2012-12-17 (2320 days ago)
Due
Updated 2012-12-24 (2313 days ago)
Assigned
Resolved 2012-12-19 (2318 days ago)
Milestone
Patch No

History
2012-12-24 06:47:11 horde (at) agotnes (dot) com Comment #5 Reply to this comment
Confirmed fixed in .12 insofar as the CPU load is now alleviated.

Search results aren't coming back as expected though - will test some 
more and raise separate defect...

[Show Quoted Text - 14 lines]
2012-12-19 03:16:45 Michael Rubinsky Assigned to Michael Rubinsky
State ⇒ Resolved
Priority ⇒ 2. Medium
 
2012-12-19 03:14:33 Git Commit Comment #4 Reply to this comment
Changes have been made in Git (master):

commit 0471412f1f58167a5358e8863ef10b1d6a3c708a
Author: Michael J Rubinsky <mrubinsk@horde.org>
Date:   Tue Dec 18 10:55:57 2012 -0500

     Add missing SYNC_MIMESUPPORT decoding in search requests.

     Should fix searching on iOS devices. Bug: 11900

  .../lib/Horde/ActiveSync/Request/Search.php        |    9 +++++++--
  1 files changed, 7 insertions(+), 2 deletions(-)

http://git.horde.org/horde-git/-/commit/0471412f1f58167a5358e8863ef10b1d6a3c708a
2012-12-18 14:38:05 horde (at) agotnes (dot) com Comment #3 Reply to this comment
And;

Upgraded to AS 2.0.11 and IMAP 2.4.0 earlier today - made no difference.
2012-12-17 20:33:07 horde (at) agotnes (dot) com Comment #2 Reply to this comment
Should also point out ;

I use Dovecot for IMAP
Once Apache uses 100% no syscalls occur according to strace


2012-12-17 20:24:23 horde (at) agotnes (dot) com Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 3. High
Summary ⇒ Apache2 - high CPU load post AS Search
Queue ⇒ Synchronization
Milestone ⇒
Patch ⇒ No
Reply to this comment
Running Apache 2.2.23 with PHP 5.3, ActiveSync 2.0.10 and the other 
latest Horde components.

I have seen Apache take 100% CPU on my single CPU server running 
ActiveSync a few times in the last few weeks post upgrading to Horde5. 
Today I noticed that when I performed a search on an email folder from 
an iPad using the 'Search on Server' option from the iPad Apache 
immediately went nuts.

Restarting Apache clears the issue, leaving it doesn't seem to improve 
anything and the process keeps taking large amounts of CPU.

Happy to provide further logs - I had a look through the Apache logs 
and didn't see anything remarkable, haven't had time to dig deep yet 
but raising so it can be reviewed.

Saved Queries